Bug 249770 - security/sssd: depends on python 2.x
Summary: security/sssd: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:35 UTC by Steve Wills
Modified: 2020-11-17 20:48 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (lukas.slebodnik)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:35:17 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 dewayne 2020-10-28 06:26:22 UTC
(In reply to Steve Wills from comment #0)
From https://github.com/SSSD/sssd/releases/tag/sssd-2_4_0, the python27 bindings are removed by default.  The "easy" solution is to upgrade sssd from 1.11 to 2.4, and then revert those ports (like security/sudo) that removed sssd functionality ...
Comment 2 Richard Frewin 2020-11-02 12:23:39 UTC
My patch in Bug 241347 to update the port to sssd 1,16.5 is configured "--without-python2-bindings".  Is that sufficient ?
Comment 3 Rene Ladan freebsd_committer 2020-11-08 12:01:13 UTC
(In reply to dewayne from comment #1)
It looks like sssd has two version checks now, as 1.16.5 was released after 2.2.3, see https://releases.pagure.org/SSSD/sssd/
Comment 4 Rene Ladan freebsd_committer 2020-11-08 12:01:46 UTC
(In reply to Rene Ladan from comment #3)
version tracks*
Comment 5 Rene Ladan freebsd_committer 2020-11-17 20:48:31 UTC
This was fixed in r555585. From the discussion in PR241347 version 2 of SSSD probably deserves it own port.